
from wolfpack.consts import *

ARMOR_RESNAME_BONI = {
	# Metals
	'iron': {
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0,
	},
	'dullcopper': {
		RESISTANCE_PHYSICAL: 6,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0,
		LOWERREQS: 20,
		MATERIALPREFIX: 'Dull Copper',
	},
	'shadowiron': {
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 1,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 5,
		MATERIALPREFIX: 'Shadow Iron',
	},
	'copper': {
		RESISTANCE_PHYSICAL: 1,
		RESISTANCE_FIRE: 1,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 2,
		MATERIALPREFIX: 'Copper',
	},
	'bronze': {
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 5,
		RESISTANCE_POISON: 1,
		RESISTANCE_ENERGY: 1,
		MATERIALPREFIX: 'Bronze',
	},
	'gold': {
		RESISTANCE_PHYSICAL: 1,
		RESISTANCE_FIRE: 1,
		RESISTANCE_COLD: 2,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 2,
		LUCK: 40,
		LOWERREQS: 30,
		MATERIALPREFIX: 'Gold',
	},
	'agapite': {
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 2,
		RESISTANCE_POISON: 2,
		RESISTANCE_ENERGY: 2,
		MATERIALPREFIX: 'Agapite',
	},
	'verite': {
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 1,
		MATERIALPREFIX: 'Verite',
	},
	'valorite': {
		RESISTANCE_PHYSICAL: 4,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3,
		MATERIALPREFIX: 'Valorite',
	},
	# Leathers
	'leather': {
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0,
	},
	'spined_leather': {
		RESISTANCE_PHYSICAL: 5,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0,
		LUCK: 40,
		MATERIALPREFIX: 'Spined',
	},
	'horned_leather': {
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 2,
		RESISTANCE_POISON: 2,
		RESISTANCE_ENERGY: 2,
		MATERIALPREFIX: 'Horned',
	},
	'barbed_leather': {
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 1,
		RESISTANCE_COLD: 2,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 4,
		MATERIALPREFIX: 'Barbed',
	},
	# Dragon Scales ( resname2 )
	'red_scales': {
		RESISTANCE_PHYSICAL: 10,
		RESISTANCE_FIRE: -3,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0,
		MATERIALPREFIX: 'Red Scale',
	},
	'yellow_scales': {
		RESISTANCE_PHYSICAL: -3,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0,
		LUCK: 20,
		MATERIALPREFIX: 'Yellow Scale',
	},
	'black_scales': {
		RESISTANCE_PHYSICAL: 10,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: -3,
		MATERIALPREFIX: 'Black Scale',
	},
	'green_scales': {
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: -3,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 10,
		RESISTANCE_ENERGY: 0,
		MATERIALPREFIX: 'Green Scale',
	},
	'white_scales': {
		RESISTANCE_PHYSICAL: -3,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 10,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0,
		MATERIALPREFIX: 'White Scale',
	},
	'blue_scales': {
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: -3,
		RESISTANCE_ENERGY: 10,
		MATERIALPREFIX: 'Blue Scale',
	}

}


ARMORINFO = {
	#
	# Bone Armor
	# Chest
	'144f': {
		REQSTR: 60,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 4,
		RESISTANCE_POISON: 2,
		RESISTANCE_ENERGY: 4
	},
	# Arms
	'144e': {
		REQSTR: 55,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 4,
		RESISTANCE_POISON: 2,
		RESISTANCE_ENERGY: 4
	},
	#Gloves
	'1450': {
		REQSTR: 55,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 4,
		RESISTANCE_POISON: 2,
		RESISTANCE_ENERGY: 4
	},
	# Helm
	'1451': {
		REQSTR: 20,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 4,
		RESISTANCE_POISON: 2,
		RESISTANCE_ENERGY: 4
	},
	# Leggings
	'1452': {
		REQSTR: 55,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 4,
		RESISTANCE_POISON: 2,
		RESISTANCE_ENERGY: 4
	},
	#
	# Chain Armor
	# Coif
	'13bb': {
		REQSTR: 60,
		RESISTANCE_PHYSICAL: 4,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 4,
		RESISTANCE_POISON: 1,
		RESISTANCE_ENERGY: 2
	},
	# Leggings
	'13be': {
		REQSTR: 60,
		RESISTANCE_PHYSICAL: 4,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 4,
		RESISTANCE_POISON: 1,
		RESISTANCE_ENERGY: 2
	},
	# Tunic
	'13bf': {
		REQSTR: 60,
		RESISTANCE_PHYSICAL: 4,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 4,
		RESISTANCE_POISON: 1,
		RESISTANCE_ENERGY: 2
	},
	#
	# Platemail
	# Female Plate Armor
	'1c04': {
		REQSTR: 95,
		RESISTANCE_PHYSICAL: 5,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 2,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 2
	},
	# Plate Helm
	'1412': {
		REQSTR: 60,
		RESISTANCE_PHYSICAL: 5,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 2,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 2
	},
	# Male Armor/Tunic
	'1415': {
		REQSTR: 95,
		RESISTANCE_PHYSICAL: 5,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 2,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 2
	},
	# Arms
	'1410': {
		REQSTR: 80,
		RESISTANCE_PHYSICAL: 5,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 2,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 2
	},
	# Gloves
	'1414': {
		REQSTR: 70,
		RESISTANCE_PHYSICAL: 5,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 2,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 2
	},
	# Gorget
	'1413': {
		REQSTR: 45,
		RESISTANCE_PHYSICAL: 5,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 2,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 2
	},
	# Leggings
	'1411': {
		REQSTR: 90,
		RESISTANCE_PHYSICAL: 5,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 2,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 2
	},
	# Ringmail
	# Gloves
	'13eb': {
		REQSTR: 40,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 1,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 3
	},
	# Leggings
	'13f0': {
		REQSTR: 40,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 1,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 3
	},
	# Sleeves
	'13ee': {
		REQSTR: 40,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 1,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 3
	},
	# Tunic
	'13ec': {
		REQSTR: 40,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 1,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 3
	},
	# Leather
	# Female Armor
	'1c06': {
		REQSTR: 25,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Bustier
	'1c0a': {
		REQSTR: 25,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Cap
	'1db9': {
		REQSTR: 20,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Gloves
	'13c6': {
		REQSTR: 20,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Gorget
	'13c7': {
		REQSTR: 20,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Leggings
	'13cb': {
		REQSTR: 20,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Shorts
	'1c00': {
		REQSTR: 20,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Skirt
	'1c08': {
		REQSTR: 20,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Sleeves
	'13c5': {
		REQSTR: 20,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Tunic
	'13cc': {
		REQSTR: 25,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Studded Leather
	# Armor
	'1c02': {
		REQSTR: 35,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 4
	},
	# Bustier
	'1c0c': {
		REQSTR: 35,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 4
	},
	# Gloves
	'13d5': {
		REQSTR: 25,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 4
	},
	# Gorget
	'13d6': {
		REQSTR: 25,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 4
	},
	# Leggings
	'13da': {
		REQSTR: 35,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 4
	},
	# Sleeves
	'13d4': {
		REQSTR: 25,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 4
	},
	# Tunic
	'13db': {
		REQSTR: 35,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 4
	},
	# Shields
	# Bronze Shield
	'1b72': {
		REQSTR: 35,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 1,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0
	},
	# Buckler
	'1b73': {
		REQSTR: 20,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 1,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0
	},
	# Chaos Shield
	'1bc3': {
		REQSTR: 95,
		RESISTANCE_PHYSICAL: 1,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0
	},
	# Heater Shield
	'1b76': {
		REQSTR: 90,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 1,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0
	},
	# Metal Kite Shield
	'1b74': {
		REQSTR: 45,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 1
	},
	# Metal Shield
	'1b7b': {
		REQSTR: 45,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 1,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0
	},
	# Order Shield
	'1bc4': {
		REQSTR: 95,
		RESISTANCE_PHYSICAL: 1,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 0
	},
	# Wooden Kite Shield
	'1b78': {
		REQSTR: 20,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 1
	},
	# Wooden Shield
	'1b7a': {
		REQSTR: 20,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 0,
		RESISTANCE_ENERGY: 1
	},
	# Helmets
	# Bascinet
	'140d': {
		REQSTR: 40,
		RESISTANCE_PHYSICAL: 7,
		RESISTANCE_FIRE: 2,
		RESISTANCE_COLD: 2,
		RESISTANCE_POISON: 2,
		RESISTANCE_ENERGY: 2
	},
	# Close Helmet
	'1408': {
		REQSTR: 55,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Helmet
	'140b': {
		REQSTR: 45,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 4,
		RESISTANCE_COLD: 4,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 2
	},
	# Nose Helm
	'140f': {
		REQSTR: 55,
		RESISTANCE_PHYSICAL: 4,
		RESISTANCE_FIRE: 1,
		RESISTANCE_COLD: 4,
		RESISTANCE_POISON: 4,
		RESISTANCE_ENERGY: 2
	},
	# Orc Helm
	'1f0b': {
		REQSTR: 30,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 1,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 5
	},
	# Hats
	# Bonnet
	'1719': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 5,
		RESISTANCE_COLD: 9,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 5
	},
	# Feathered Hat
	'171a': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 5,
		RESISTANCE_COLD: 9,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 5
	},
	# Floppy Hat
	'1713': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 5,
		RESISTANCE_COLD: 9,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 5
	},
	# Jester Hat
	'172e': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 5,
		RESISTANCE_COLD: 9,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 5
	},
	# Jesters Cap
	'171c': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 5,
		RESISTANCE_COLD: 9,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 5
	},
	# Straw Hat
	'1717': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 5,
		RESISTANCE_COLD: 9,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 5
	},
	# Tall Straw Hat
	'1716': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 5,
		RESISTANCE_COLD: 9,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 5
	},
	# Tricorne Hat
	'171b': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 5,
		RESISTANCE_COLD: 9,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 5
	},
	# Wide-Brim Hat
	'1714': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 5,
		RESISTANCE_COLD: 9,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 5
	},
	# Wizards Hat
	'1718': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 5,
		RESISTANCE_COLD: 9,
		RESISTANCE_POISON: 5,
		RESISTANCE_ENERGY: 5
	},
	# Bandana
	'153f': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 5,
		RESISTANCE_POISON: 8,
		RESISTANCE_ENERGY: 8
	},
	# Skull Cap
	'1543': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 0,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 5,
		RESISTANCE_POISON: 8,
		RESISTANCE_ENERGY: 8
	},
	# Orc Mask
	'141b': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 1,
		RESISTANCE_FIRE: 1,
		RESISTANCE_COLD: 7,
		RESISTANCE_POISON: 7,
		RESISTANCE_ENERGY: 8
	},
	# Deer Mask
	'1547': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 2,
		RESISTANCE_FIRE: 6,
		RESISTANCE_COLD: 8,
		RESISTANCE_POISON: 1,
		RESISTANCE_ENERGY: 7
	},
	# Bear Mask
	'1545': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 5,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 8,
		RESISTANCE_POISON: 4,
		RESISTANCE_ENERGY: 4
	},
	# Horned Tribal Mask
	'1549': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 6,
		RESISTANCE_FIRE: 9,
		RESISTANCE_COLD: 0,
		RESISTANCE_POISON: 4,
		RESISTANCE_ENERGY: 5
	},
	# Red Tribal Mask
	'154b': {
		REQSTR: 10,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 0,
		RESISTANCE_COLD: 6,
		RESISTANCE_POISON: 10,
		RESISTANCE_ENERGY: 5
	},
	# Dragon Scale Armor
	# Sleeves
	'2657': {
		REQSTR: 80,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Breastplate
	'2641': {
		REQSTR: 95,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Gloves
	'2643': {
		REQSTR: 70,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Helm
	'2645': {
		REQSTR: 60,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	},
	# Leggings
	'2647': {
		REQSTR: 90,
		RESISTANCE_PHYSICAL: 3,
		RESISTANCE_FIRE: 3,
		RESISTANCE_COLD: 3,
		RESISTANCE_POISON: 3,
		RESISTANCE_ENERGY: 3
	}
}